<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ActiveItemCount' => '\\StructType\\ActiveItemCount',
            'ActiveItemCountResponse' => '\\StructType\\ActiveItemCountResponse',
            'BrandUpdate' => '\\StructType\\BrandUpdate',
            'BrandUpdateResponse' => '\\StructType\\BrandUpdateResponse',
            'BrandUpdateDS' => '\\StructType\\BrandUpdateDS',
            'BrandUpdateDSResponse' => '\\StructType\\BrandUpdateDSResponse',
            'BrandUpdateDSResult' => '\\StructType\\BrandUpdateDSResult',
            'DiscontinuedItemsDS' => '\\StructType\\DiscontinuedItemsDS',
            'DiscontinuedItemsDSResponse' => '\\StructType\\DiscontinuedItemsDSResponse',
            'DiscontinuedItemsDSResult' => '\\StructType\\DiscontinuedItemsDSResult',
            'DiscontinuedItems' => '\\StructType\\DiscontinuedItems',
            'DiscontinuedItemsResponse' => '\\StructType\\DiscontinuedItemsResponse',
            'IncrementalOnhandUpdateDS' => '\\StructType\\IncrementalOnhandUpdateDS',
            'IncrementalOnhandUpdateDSResponse' => '\\StructType\\IncrementalOnhandUpdateDSResponse',
            'IncrementalOnhandUpdateDSResult' => '\\StructType\\IncrementalOnhandUpdateDSResult',
            'IncrementalOnhandUpdate' => '\\StructType\\IncrementalOnhandUpdate',
            'IncrementalOnhandUpdateResponse' => '\\StructType\\IncrementalOnhandUpdateResponse',
            'OnhandUpdateDS' => '\\StructType\\OnhandUpdateDS',
            'OnhandUpdateDSResponse' => '\\StructType\\OnhandUpdateDSResponse',
            'OnhandUpdateDSResult' => '\\StructType\\OnhandUpdateDSResult',
            'OnhandUpdate' => '\\StructType\\OnhandUpdate',
            'OnhandUpdateResponse' => '\\StructType\\OnhandUpdateResponse',
            'OnhandUpdateCSV' => '\\StructType\\OnhandUpdateCSV',
            'OnhandUpdateCSVResponse' => '\\StructType\\OnhandUpdateCSVResponse',
            'OnhandUpdatebyCSV' => '\\StructType\\OnhandUpdatebyCSV',
            'OnhandUpdatebyCSVResponse' => '\\StructType\\OnhandUpdatebyCSVResponse',
            'OnhandInquiry' => '\\StructType\\OnhandInquiry',
            'OnhandInquiryResponse' => '\\StructType\\OnhandInquiryResponse',
            'CategoryUpdateDS' => '\\StructType\\CategoryUpdateDS',
            'CategoryUpdateDSResponse' => '\\StructType\\CategoryUpdateDSResponse',
            'CategoryUpdateDSResult' => '\\StructType\\CategoryUpdateDSResult',
            'CategoryUpdate' => '\\StructType\\CategoryUpdate',
            'CategoryUpdateResponse' => '\\StructType\\CategoryUpdateResponse',
            'CategorySearchFieldsDS' => '\\StructType\\CategorySearchFieldsDS',
            'CategorySearchFieldsDSResponse' => '\\StructType\\CategorySearchFieldsDSResponse',
            'CategorySearchFieldsDSResult' => '\\StructType\\CategorySearchFieldsDSResult',
            'CategorySearchFields' => '\\StructType\\CategorySearchFields',
            'CategorySearchFieldsResponse' => '\\StructType\\CategorySearchFieldsResponse',
            'DepartmentUpdate' => '\\StructType\\DepartmentUpdate',
            'DepartmentUpdateResponse' => '\\StructType\\DepartmentUpdateResponse',
            'DepartmentUpdateDS' => '\\StructType\\DepartmentUpdateDS',
            'DepartmentUpdateDSResponse' => '\\StructType\\DepartmentUpdateDSResponse',
            'DepartmentUpdateDSResult' => '\\StructType\\DepartmentUpdateDSResult',
            'LookupItem' => '\\StructType\\LookupItem',
            'LookupItemResponse' => '\\StructType\\LookupItemResponse',
            'ManufacturerCategoriesDS' => '\\StructType\\ManufacturerCategoriesDS',
            'ManufacturerCategoriesDSResponse' => '\\StructType\\ManufacturerCategoriesDSResponse',
            'ManufacturerCategoriesDSResult' => '\\StructType\\ManufacturerCategoriesDSResult',
            'ManufacturerCategories' => '\\StructType\\ManufacturerCategories',
            'ManufacturerCategoriesResponse' => '\\StructType\\ManufacturerCategoriesResponse',
            'ManufacturerUpdateDS' => '\\StructType\\ManufacturerUpdateDS',
            'ManufacturerUpdateDSResponse' => '\\StructType\\ManufacturerUpdateDSResponse',
            'ManufacturerUpdateDSResult' => '\\StructType\\ManufacturerUpdateDSResult',
            'ManufacturerUpdate' => '\\StructType\\ManufacturerUpdate',
            'ManufacturerUpdateResponse' => '\\StructType\\ManufacturerUpdateResponse',
            'DailyItemUpdateDS' => '\\StructType\\DailyItemUpdateDS',
            'DailyItemUpdateDSResponse' => '\\StructType\\DailyItemUpdateDSResponse',
            'DailyItemUpdateDSResult' => '\\StructType\\DailyItemUpdateDSResult',
            'DailyItemUpdate' => '\\StructType\\DailyItemUpdate',
            'DailyItemUpdateResponse' => '\\StructType\\DailyItemUpdateResponse',
            'DailyItemCount' => '\\StructType\\DailyItemCount',
            'DailyItemCountResponse' => '\\StructType\\DailyItemCountResponse',
            'ScanNameUpdateDS' => '\\StructType\\ScanNameUpdateDS',
            'ScanNameUpdateDSResponse' => '\\StructType\\ScanNameUpdateDSResponse',
            'ScanNameUpdateDSResult' => '\\StructType\\ScanNameUpdateDSResult',
            'ScanNameUpdate' => '\\StructType\\ScanNameUpdate',
            'ScanNameUpdateResponse' => '\\StructType\\ScanNameUpdateResponse',
            'FullTextSearch' => '\\StructType\\FullTextSearch',
            'FullTextSearchResponse' => '\\StructType\\FullTextSearchResponse',
            'FullTextSearchHints' => '\\StructType\\FullTextSearchHints',
            'FullTextSearchHintsResponse' => '\\StructType\\FullTextSearchHintsResponse',
            'BulkPricingUpdateDS' => '\\StructType\\BulkPricingUpdateDS',
            'BulkPricingUpdateDSResponse' => '\\StructType\\BulkPricingUpdateDSResponse',
            'BulkPricingUpdateDSResult' => '\\StructType\\BulkPricingUpdateDSResult',
            'BulkPricingUpdate' => '\\StructType\\BulkPricingUpdate',
            'BulkPricingUpdateResponse' => '\\StructType\\BulkPricingUpdateResponse',
            'ListNewTextDS' => '\\StructType\\ListNewTextDS',
            'ListNewTextDSResponse' => '\\StructType\\ListNewTextDSResponse',
            'ListNewTextDSResult' => '\\StructType\\ListNewTextDSResult',
            'GetTextDS' => '\\StructType\\GetTextDS',
            'GetTextDSResponse' => '\\StructType\\GetTextDSResponse',
            'GetTextDSResult' => '\\StructType\\GetTextDSResult',
            'GetText' => '\\StructType\\GetText',
            'GetTextResponse' => '\\StructType\\GetTextResponse',
            'ListNewText' => '\\StructType\\ListNewText',
            'ListNewTextResponse' => '\\StructType\\ListNewTextResponse',
            'DataSet' => '\\StructType\\DataSet',
        );
    }
}
